<ID>
Custom Page Mod
</ID>

<Author>
James Andrews
</Author>

<Homepage>
http://www.jamesandrews.info
</Homepage>

<Version>
0.3 BETA
</Version>

<Mod info>
This mod is for YaBB 2.2 only !! There is another version of this mod for YaBB 2.1 at: http://www.boardmod.org/yabb/YaBB.pl?board=newsy2;action=display;num=1155118838.

General Features:

- Add as many custom web pages as you like. 
- Enables you to transform your board into a website, while keeping the same template used for everypage.
- Easily add in the HTML for the body of the page in admin center and it will give you a link for your new page.
- Modify and delete current pages.
- URL helpers in case you change the location of your board. Use <yabb url> for the URL of YaBB.pl/.cgi. E.g. <yabb url>?action=ml.
- Add a title for each page.
- Add counters to pages.
- Add pages to the menu.
- Disable guest access to pages.

Mod History:
- 0.3 BETA (7/1/08)	- Updated to support YaBB 2.2
- 0.2			- No Changes. No bugs found, stable version.
- 0.2 BETA (24/6/06)	- Added page counters.
			- Added menu.
			- Added disable guest access.
- 0.1 BETA (22/6/06) 	- First version released.

Installation:

Use BoardMod or manually edit files.

Upload:

- Sources/CustomPage.pl CHMOD 777 (ASCII)
- Admin/CustomPage.pl CHMOD 777 (ASCII)
- Languages/English/CustomPage.lng CHMOD 777 (ASCII)
- Variables/Pages/.htaccess (ASCII)
- Paths.pl , YaBB.pl (CHMOD 755), Admin/AdminIndex.pl (CHMOD 755), Admin/AdminSubList.pl, Sources/Subs.pl, yabbfiles\Templates\default\default.html, Sources/TabMenu.pl (Modified files).
</Mod info>

<Edit file>
YaBB.pl
</Edit file>

<Search for>
	} elsif ($INFO{'num'} ne "") {
</Search for>

<Add before>
	} elsif( $INFO{'custompage'} ) {
		require "$sourcedir/CustomPage.pl";
		&CustomPage;
</Add before>

<Edit file>
Admin\AdminSubList.pl
</Edit file>

<Search for>
);
</Search for>

<Add before>
'pagemodify',"CustomPageAdmin.pl&PageModify",
'pagemodify2',"CustomPageAdmin.pl&PageModify2",
'pagedelete',"CustomPageAdmin.pl&PageDelete",
'pagedelete2',"CustomPageAdmin.pl&PageDelete2",
'custompage',"CustomPageAdmin.pl&CustomPage",
'pagecreate',"CustomPageAdmin.pl&PageCreate",
'pagecreate2',"CustomPageAdmin.pl&PageCreate2",
</Add before>

<Edit file>
Admin\ModList.pl
</Edit file>

<Search for>
### END BOARDMOD ANCHOR ###
</Search for>

<Add before>
	$custompage = "Custom Page Mod|James Andrews|Add an unlimited amount of custom webpages to your board, adds them into a menu.|0.3 BETA|07-01-08";
	push (@installed_mods, $custompage);
</Add before>

<Edit file>
AdminIndex.pl
</Edit file>

<Search for>
### END BOARDMOD ANCHOR ###
</Search for>

<Add before>
	$custompage = "custompage|Custom Page|Create Custom Pages|";
	push (@boardmod_mods, "$custompage");
</Add before>

<Edit file>
yabbfiles\Templates\Forum\Default.css
</Edit file>

<Search for>
	background-position: left;
	background-image: url(./default/tableft211.png);
</Search for>

<Replace>
	background-position: left top;
	background-image: url(./default/tableft211.png);
</Replace>

<Search for>
	background-position: left;
	background-image: url(./default/tabright211.png);
</Search for>

<Replace>
	background-position: left top;
	background-image: url(./default/tabright211.png);
</Replace>

<Edit file>
Sources\TabMenu.pl
</Edit file>

<Search for>
	$yytabmenu .= qq~$tabsep~;
</Search for>

<Add before>
	# Custom Page Mod 0.3 Menu Start
	
	my ($query, $pagetitle, $link, $guest, $cpmenu, $page, @pages);

	fopen(SET, "<$vardir/custompage.txt");
	my @pages = <SET>;
	fclose(SET);
	
	if(@pages) {
		foreach $page (@pages) {
			($query, $pagetitle, undef, $link, undef, undef) = split(/\|/, $page);
			if($link == 1) {
				if($INFO{'custompage'} eq $query) {
					$yytabmenu .=qq~$tabsep<span onclick="location.href='$scripturl?custompage=$query';" class="selected"><a href="$scripturl?custompage=$query" title = "$pagetitle">$tabfill$pagetitle$tabfill</a></span>~;
				} else {
					$yytabmenu .=qq~$tabsep<span onclick="location.href='$scripturl?custompage=$query';"><a href="$scripturl?custompage=$query" title = "$pagetitle">$tabfill$pagetitle$tabfill</a></span>~;
				}
			}
		}
	}
	
	# Custom Page Mod 0.3 Menu End
</Add before>